> ## Documentation Index
> Fetch the complete documentation index at: https://docs.systems-echo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get trade info



## OpenAPI

````yaml /openapi.json post /api/v1/extension/token/info
openapi: 3.0.1
info:
  title: echo/extension/v1/extension.proto
  version: version not set
servers:
  - url: /
security: []
tags:
  - name: ExtensionService
paths:
  /api/v1/extension/token/info:
    post:
      tags:
        - ExtensionService
      summary: get trade info
      operationId: ExtensionService_TradeInfoExtension
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1TradeInfoExtensionRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1TradeInfoExtensionResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1TradeInfoExtensionRequest:
      type: object
      properties:
        token:
          title: token is the extension token (auth token)
          type: string
        chain:
          $ref: '#/components/schemas/v1CHAIN'
        input:
          title: input is the token address or pool address
          type: string
    v1TradeInfoExtensionResponse:
      type: object
      properties:
        info:
          $ref: '#/components/schemas/v1GetTradeInfoResponse'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1CHAIN:
      type: string
      default: CHAIN_UNSPECIFIED
      enum:
        - CHAIN_UNSPECIFIED
        - CHAIN_SOL
        - CHAIN_ETH
        - CHAIN_BSC
        - CHAIN_BASE
        - CHAIN_ROBINHOOD
    v1GetTradeInfoResponse:
      type: object
      properties:
        poolAddress:
          title: >-
            pools_address is the address of the best pool for the trade

            if pool was provided as an 'input' in the request - it will be
            returned
          type: string
        poolPlatform:
          $ref: '#/components/schemas/v1PLATFORM'
        poolMcapUsd:
          title: |-
            pool_mcap_usd is formatted mcap of the pool in USD
            e.g. "13.24M"
            if not available - 'N/A' will be returned
          type: string
        shitcoinInfo:
          $ref: '#/components/schemas/v1TokenInfo'
        stablecoinInfo:
          $ref: '#/components/schemas/v1TokenInfo'
        shitcoinReserves:
          title: >-
            shitcoin_reserves is the raw reserves of the shitcoin token in the
            pool
          type: string
        stablecoinReserves:
          title: >-
            stablecoin_reserves is the raw reserves of the stablecoin token in
            the pool
          type: string
        isLowLiquidity:
          title: is_low_liquidity is true if the pool is low liquidity
          type: boolean
          description: true if the pool is low liquidity
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    v1PLATFORM:
      type: string
      default: PLATFORM_UNSPECIFIED
      enum:
        - PLATFORM_UNSPECIFIED
        - PLATFORM_RAYDIUM
        - PLATFORM_RAYDIUM_CP
        - PLATFORM_RAYDIUM_CLMM
        - PLATFORM_PUMPFUN
        - PLATFORM_MOONSHOT
        - PLATFORM_METEORA_DYN
        - PLATFORM_METEORA_DLMM
        - PLATFORM_PAMM
        - PLATFORM_RAYDIUM_LAUNCHPAD
        - PLATFORM_METEORA_DBC
        - PLATFORM_METEORA_DAMM_V2
        - PLATFORM_HEAVEN
        - PLATFORM_UNISWAP_V2
        - PLATFORM_UNISWAP_V3
        - PLATFORM_UNISWAP_V4
    v1TokenInfo:
      type: object
      properties:
        address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
          format: int64
        isStable:
          type: boolean

````